> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blueplant.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Pflanze anlegen

> Legt eine Pflanzenart im Katalog an.



## OpenAPI

````yaml api/openapi.json POST /product/plant
openapi: 3.1.0
info:
  title: blueplant API
  version: v1
  description: >-
    Öffentliche REST-API von blueplant zum Anlegen von Stammdaten (Kunden,
    Standorte, Kontaktpersonen, Pflanzen, Behälter und Produkte) aus anderen
    Systemen. Authentifiziert wird mit deinem API-Schlüssel aus den
    Mandanten-Einstellungen.
servers:
  - url: https://api.blueplant.app/api/v1
    description: Produktiv
security:
  - ApiKey: []
paths:
  /product/plant:
    post:
      tags:
        - Pflanzen & Produkte
      summary: Pflanze anlegen
      description: >-
        Legt eine Pflanzenart im Katalog an. Pflanzenarten werden später
        Produkten zugeordnet.
      operationId: createPlant
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  description: Name der Pflanzenart.
                validFrom:
                  type: string
                  format: date
                  description: Beginn der Gültigkeit.
                validUntil:
                  type: string
                  format: date
                  description: Ende der Gültigkeit.
      responses:
        '201':
          description: Pflanze angelegt.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    IdResponse:
      type: object
      description: Antwort mit der ID des angelegten Objekts.
      properties:
        id:
          type: string
          format: uuid
          description: ID des angelegten Objekts.
    ValidationError:
      type: object
      description: Validierungsfehler mit feldbezogenen Meldungen.
      properties:
        message:
          type: string
          example: invalid input
        errors:
          type: array
          description: Liste der fehlerhaften Felder mit Meldungen.
          items:
            type: object
  responses:
    ValidationError:
      description: Ungültiges Request-Payload (Validierungsfehler).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ValidationError'
    Unauthorized:
      description: Authentifizierung fehlgeschlagen – prüfe deinen API-Schlüssel.
    TooManyRequests:
      description: Zu viele Anfragen – versuche es später erneut.
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: ApiKey
      description: >-
        Dein API-Schlüssel aus den Mandanten-Einstellungen, gesendet im Header
        `ApiKey`.

````